Liferay.Loader.define("change-tracking-web@1.0.39/publications/js/ChangeTrackingRescheduleView", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/alert', '@frontend-taglib-clay$clayui/date-picker', '@frontend-taglib-clay$clayui/time-picker', 'frontend-js-react-web$react', './ChangeTrackingBaseScheduleView'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _alert = _interopRequireDefault(require("@frontend-taglib-clay$clayui/alert"));

    var _datePicker = _interopRequireDefault(require("@frontend-taglib-clay$clayui/date-picker"));

    var _timePicker = _interopRequireDefault(require("@frontend-taglib-clay$clayui/time-picker"));

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    var _ChangeTrackingBaseScheduleView = _interopRequireDefault(require("./ChangeTrackingBaseScheduleView"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var ChangeTrackingRescheduleView = /*#__PURE__*/function (_ChangeTrackingBaseSc) {
      _inherits(ChangeTrackingRescheduleView, _ChangeTrackingBaseSc);

      function ChangeTrackingRescheduleView(props) {
        var _this;

        _classCallCheck(this, ChangeTrackingRescheduleView);

        _this = _possibleConstructorReturn(this, _getPrototypeOf(ChangeTrackingRescheduleView).call(this, props));
        var redirect = props.redirect,
            rescheduleURL = props.rescheduleURL,
            scheduledDate = props.scheduledDate,
            scheduledTime = props.scheduledTime,
            spritemap = props.spritemap,
            timeZone = props.timeZone,
            unscheduleURL = props.unscheduleURL;
        _this.redirect = redirect;
        _this.rescheduleURL = rescheduleURL;
        _this.spritemap = spritemap;
        _this.timeZone = timeZone;
        _this.unscheduleURL = unscheduleURL;
        _this.state = {
          date: new Date(scheduledDate + ' 12:00:00'),
          dateError: '',
          formError: null,
          time: scheduledTime,
          timeError: '',
          validationError: null
        };
        return _this;
      }

      _createClass(ChangeTrackingRescheduleView, [{
        key: "render",
        value: function render() {
          var _this2 = this;

          return (/*#__PURE__*/_react.default.createElement("div", {
              className: "sheet sheet-lg"
            }, /*#__PURE__*/_react.default.createElement("div", {
              className: "sheet-header"
            }, /*#__PURE__*/_react.default.createElement("h2", {
              className: "sheet-title"
            }, Liferay.Language.get('reschedule-publication'))), /*#__PURE__*/_react.default.createElement("div", {
              className: "sheet-section"
            }, /*#__PURE__*/_react.default.createElement("label", null, Liferay.Language.get('date-and-time')), /*#__PURE__*/_react.default.createElement("div", {
              className: "input-group"
            }, /*#__PURE__*/_react.default.createElement("div", {
              className: this.getDateClassName()
            }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_datePicker.default, {
              onValueChange: this.handleDateChange,
              placeholder: "YYYY-MM-DD",
              spritemap: this.spritemap,
              timezone: this.timeZone,
              value: this.state.date,
              years: {
                end: new Date().getFullYear() + 1,
                start: new Date().getFullYear() - 1
              }
            }), this.getDateHelpText())), /*#__PURE__*/_react.default.createElement("div", {
              className: this.getTimeClassName()
            }, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_timePicker.default, {
              onInputChange: this.handleTimeChange,
              spritemap: this.spritemap,
              timezone: this.timeZone,
              values: this.state.time
            }), this.getTimeHelpText())))), this.state.formError && /*#__PURE__*/_react.default.createElement(_alert.default, {
              displayType: "danger",
              spritemap: this.spritemap,
              title: this.state.formError
            }), /*#__PURE__*/_react.default.createElement("div", {
              className: "sheet-footer sheet-footer-btn-block-sm-down"
            }, /*#__PURE__*/_react.default.createElement("div", {
              className: "btn-group"
            }, /*#__PURE__*/_react.default.createElement("div", {
              className: "btn-group-item"
            }, /*#__PURE__*/_react.default.createElement("button", {
              className: "btn btn-primary",
              onClick: function onClick() {
                return _this2.doSchedule(_this2.rescheduleURL);
              },
              type: "button"
            }, Liferay.Language.get('reschedule'))), /*#__PURE__*/_react.default.createElement("div", {
              className: "btn-group-item"
            }, /*#__PURE__*/_react.default.createElement("button", {
              className: "btn btn-secondary",
              onClick: function onClick() {
                return submitForm(document.hrefFm, _this2.unscheduleURL);
              },
              type: "button"
            }, Liferay.Language.get('unschedule'))), /*#__PURE__*/_react.default.createElement("div", {
              className: "btn-group-item"
            }, /*#__PURE__*/_react.default.createElement("button", {
              className: "btn btn-outline-borderless btn-secondary",
              onClick: function onClick() {
                return Liferay.Util.navigate(_this2.redirect);
              },
              type: "button"
            }, Liferay.Language.get('cancel'))))))
          );
        }
      }]);

      return ChangeTrackingRescheduleView;
    }(_ChangeTrackingBaseScheduleView.default);

    function _default(props) {
      return (/*#__PURE__*/_react.default.createElement(ChangeTrackingRescheduleView, props)
      );
    }
    //# sourceMappingURL=ChangeTrackingRescheduleView.js.map
  }
});
//# sourceMappingURL=ChangeTrackingRescheduleView.js.map