<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/publications/init.jsp" %>

<%
ViewEntryDisplayContext<?> viewEntryDisplayContext = (ViewEntryDisplayContext<?>)request.getAttribute(CTWebKeys.VIEW_ENTRY_DISPLAY_CONTEXT);
%>

<div class="publications-diff-table-wrapper">
	<table class="table table-autofit">
		<tr class="publications-diff-no-border-top table-divider">
			<td class="publications-diff-td"><%= HtmlUtil.escape(viewEntryDisplayContext.getDividerTitle(resourceBundle)) %></td>
		</tr>
		<tr>
			<td class="publications-diff-td">

				<%
				viewEntryDisplayContext.renderEntry(request, response);
				%>

			</td>
		</tr>
	</table>
</div>